package ajcon.custom.util.elements;

import java.util.ArrayList;
import java.util.List;

public class CInterface {

    private CModifiers CModifiers;
//    private CDocComment CDocComment;
    private List<CExtend> CExtend;

    private List<CClass> CClass;

    private List<CMethod> CMethod;

    private List<CField> CField;

    private String name;
    private String id;

    private String line;
    private String col;
    private String endline;
    private String endcol;
    private String commentToken;
    private String startToken;
    private String endToken;
    private String idkind;

    public CInterface() {
        CModifiers = null;
        CExtend = new ArrayList<CExtend>();
        CClass = new ArrayList<CClass>();
        CMethod = new ArrayList<CMethod>();
        CField = new ArrayList<CField>();

        this.name=null;
        id=null;

        line=null;
        col=null;
        endline=null;
        endcol=null;
        commentToken=null;
        startToken=null;
        endToken=null;
        idkind=null;
    }

   

    public String getCol() {
        return col;
    }

    public void setCol(String col) {
        this.col = col;
    }

    public String getCommentToken() {
        return commentToken;
    }

    public void setCommentToken(String commentToken) {
        this.commentToken = commentToken;
    }

    public String getEndToken() {
        return endToken;
    }

    public void setEndToken(String endToken) {
        this.endToken = endToken;
    }

    public String getEndcol() {
        return endcol;
    }

    public void setEndcol(String endcol) {
        this.endcol = endcol;
    }

    public String getEndline() {
        return endline;
    }

    public void setEndline(String endline) {
        this.endline = endline;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getIdkind() {
        return idkind;
    }

    public void setIdkind(String idkind) {
        this.idkind = idkind;
    }

    public String getLine() {
        return line;
    }

    public void setLine(String line) {
        this.line = line;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStartToken() {
        return startToken;
    }

    public void setStartToken(String startToken) {
        this.startToken = startToken;
    }

    public List<CClass> getCClass() {
        return CClass;
    }

    public void setCClass(List<CClass> CClass) {
        this.CClass = CClass;
    }

     public void addCClass(CClass cc){
        CClass.add(cc);
    }

    public List<CExtend> getCExtend() {
        return CExtend;
    }

    public void setCExtend(List<CExtend> CExtend) {
        this.CExtend = CExtend;
    }

    public void addCExtend(CExtend cc){
        CExtend.add(cc);
    }

    public List<CField> getCField() {
        return CField;
    }

    public void setCField(List<CField> CField) {
        this.CField = CField;
    }

     public void addCField(CField cc){
        CField.add(cc);
    }

    public List<CMethod> getCMethod() {
        return CMethod;
    }

    public void setCMethod(List<CMethod> CMethod) {
        this.CMethod = CMethod;
    }

    public void addCMethod(CMethod cc){
        CMethod.add(cc);
    }

    public CModifiers getCModifiers() {
        return CModifiers;
    }

    public void setCModifiers(CModifiers CModifiers) {
        this.CModifiers = CModifiers;
    }

    


}
